Index: utils.c
===================================================================
--- utils.c	(revision 28831)
+++ utils.c	(working copy)
@@ -610,10 +610,14 @@
 
 	while (len) {
 #if AMI_WITH_SSL
-		if (ms->ssl)
-			res = SSL_write(ms->ssl, s, len);
-		else
-			res = write(ms->fd, s, len);
+		if (ms) {
+			if (ms->ssl)
+				res = SSL_write(ms->ssl, s, len);
+			else
+				res = write(ms->fd, s, len);
+		} else {
+			res = write(fd, s, len);
+		}
 #else
 		res = write(fd, s, len);
 #endif
Index: res/res_features.c
===================================================================
--- res/res_features.c	(revision 28831)
+++ res/res_features.c	(working copy)
@@ -2565,7 +2565,7 @@
 	int res;
 	
 	__mod_desc = mod;
-	AST_LIST_HEAD_INIT(&parkinglots);
+	AST_LIST_HEAD_INIT_NOLOCK(&parkinglots);
 
 	if ((res = load_config()))
 		return res;
